#load mpi-compiler for use with parmetis and parallel_domain
if(AMDiS_HAS_PARALLEL_DOMAIN)
	if(NOT AMDiS_NEED_PARMETIS)
	  message(SEND_ERROR "parallel domain needs parmetis, but AMDiS was not compiled with parmetis support. There's something really odd..")
	else()
	  find_package(MPI REQUIRED)
	  if(MPI_FOUND)
#	    INCLUDE(CMakeForceCompiler)
#	    CMAKE_FORCE_CXX_COMPILER(mpicxx "The MPI C++ compiler")
#	    CMAKE_FORCE_C_COMPILER(mpicc "The MPI C Compiler")
	    list(APPEND AMDiS_LIBRARIES ${MPI_LIBRARIES})
	    list(APPEND AMDiS_COMPILEFLAGS ${MPI_COMPILE_FLAGS})
	    list(APPEND AMDiS_INCLUDE_DIRS ${MPI_INCLUDE_PATH})
	  endif(MPI_FOUND)
	  set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${AMDiS_DIR})
	  set(PETSC_EXECUTABLE_RUNS ON)
	  find_package(PETSc REQUIRED)
	  if(PETSC_FOUND)
	    list(APPEND AMDiS_LIBRARIES ${PETSC_LIBRARY_SYS} ${PETSC_LIBRARIES})
	    list(APPEND AMDiS_INCLUDE_DIRS ${PETSC_INCLUDES})
	  endif(PETSC_FOUND)
	endif(NOT AMDiS_NEED_PARMETIS)
endif(AMDiS_HAS_PARALLEL_DOMAIN)
#thats bad because it affects each target
add_definitions(${AMDiS_COMPILEFLAGS})
include_directories(${AMDiS_INCLUDE_DIRS})

